/* row.h
 *
 * This file contains the function-protoypes for the class MasterRow.
 *
 * Pieter Eendebak ( pte@ddsw.nl )
 *
 */

#ifndef	ROW_H
#define ROW_H

#include <qapp.h>
#include <qpushbt.h>
#include <qlabel.h>
#include <qpainter.h>
#include <qbrush.h>
#include <qevent.h>
#include <qmsgbox.h>
#include <qsignal.h>
#include <qsize.h>

#include <stdio.h>
#include <stdlib.h>

#include <kapp.h>
#include <kmenubar.h>
#include <kpopmenu.h>
#include <ktopwidget.h>
#include <kmsgbox.h>
#include <kconfig.h>
#include <kfm.h>


/* ##########################
 * #	class Knop	    #
 * ##########################
 */

class Knop : public QWidget
{
	Q_OBJECT

public:
	Knop ( bool _pixmaps, QPixmap **_pins, const char *_base,
		QWidget *parent=0, const char *name=0 );
	~Knop();

	void setColor(int);
	int readColor();
	
	bool editable;
	bool pixmaps;
	QPixmap **pins;

protected:
	void resizeEvent( QResizeEvent *);
	void mouseReleaseEvent( QMouseEvent * );
	void paintEvent( QPaintEvent * );
	
	QString base;
	QSize s;
	QPainter *pt;
	QBrush *br;
	QPixmap *plaat;
	int kleur;

	int hoog, breed;	

public slots:
	void changecolor(int);
};

/* ##########################
 * #	class MasterRow     #
 * ##########################
 */

class MasterRow : public QWidget
{
	Q_OBJECT

public:
	MasterRow ( bool _pixmaps, QPixmap **pins, const char * _base,
		QWidget *parent, const char *name,
		int id, int rijen, const int *code);
	~MasterRow();
	void setState(int);
	int getState();

	int id;
	const int *refcode;
	Knop **knoppen; 	

public slots:
	void evaluate();
	void setPixMap(bool yesno);

signals:
	void changed(int, int);

protected:
	void resizeEvent( QResizeEvent *);
	void paintEvent( QPaintEvent * );

	QString base;
	bool pixmaps;

protected:
	QPushButton *veld;
	QLabel *result;

	int status;
	int level;
};

#endif



